Nothing happens when tapping edit pencil icon.
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Go to an unprotected article
  2. Tap edit pencil

Expected results

Edit view is pushed on screen.

Actual results

Nothing happens


Dev Notes

This is @BGerstle-WMF's fault since he forgot to thoroughly test it when implementing T113773 😞. Need to add back code that was deleted. Might just be the "editLinkTapped" callback in WebViewController, but could be other stuff too. FYI the legacy edit pencil behavior was removed as part of PR #27, so look there for hints as to what should be restored/reverted.

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF moved this task to Needs Triage on the Wikipedia-iOS-App-Backlog board.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 9:30 PM
BGerstle-WMF updated the task description. (Show Details)Oct 1 2015, 9:31 PM
BGerstle-WMF set Security to None.
JMinor added a subscriber: JMinor.

Right now, (non-regression of) editing is a beta requirement. Added the tag.

JMinor triaged this task as Normal priority.Oct 2 2015, 3:47 AM

Huh... now it seems to be working... wot?

Already Fixed with latest web view refactors

Checked with 5.0.0 (408) on iPad mini iOS 8.2

Fixed with the fix for https://phabricator.wikimedia.org/T115156.

@Etonkovidova @Fjalapeno
I don't think bugs like this need design review. What do you guys think?

JMinor closed this task as Resolved.Nov 18 2015, 9:03 PM